Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class SvcMsgResponseEvent

`java.lang.Object
oracle.jbo.common.SvcMsgResponse
oracle.jbo.common.SvcMsgResponseValues
oracle.jbo.common.SvcMsgResponseEvent`

All Implemented Interfaces:
  Response, ResponseEvent, ResponseValues, java.io.Serializable

public class SvcMsgResponseEvent
extends SvcMsgResponseValues
implements ResponseEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.common.SvcMsgResponse
`RES_ACTIVATE_STATE_2, RES_ACTIVATE_STATE_FOR_UNDO, RES_ACTIVATE_STATE_WITH_INFO, RES_ADD_DYNAMIC_ATTR, RES_ADD_VARIABLE, RES_ALL_APP_MOD_DEF_NAMES, RES_ALL_ENTITY_ASSOC_DEF_NAMES, RES_ALL_ENTITY_DEF_NAMES, RES_ALL_VIEW_DEF_NAMES, RES_ALL_VIEW_LINK_DEF_NAMES, RES_APP_MOD_CLOSED, RES_APP_MOD_DEF_NAMES, RES_APP_MOD_NAMES, RES_APPLICATION_MODULE, RES_BEGIN_DETAIL_ROWSETS, RES_CANCEL_DML_OPERATIONS, RES_CANCEL_QUERY, RES_COMPONENT_OBJECT, RES_CREATE_AND_INIT_ROW, RES_CREATE_ROW, RES_DETAIL_ROWSET, RES_DO_POOL_MESSAGE, RES_DUMP_QUERY_RESULT, RES_END_DETAIL_ROWSETS, RES_END_EXECUTE_MARKER, RES_ENTITY_ASSOC_DEF_NAMES, RES_ENTITY_DEF_NAMES, RES_EVENT, RES_EXCEPTION, RES_EXECUTE_COMMAND, RES_FETCH_ATTR_PROPS, RES_FETCHED_ROW_COUNT, RES_FIND_BY_ENTITY, RES_FIND_BY_KEY, RES_FIND_VIEW_LINK_ACCESSOR, RES_FIND_VIEW_OBJECT_USING_ENTITY, RES_FINISH_SYNC_WORKING_SET, RES_FIRST, RES_GET_ACCESS_MODE, RES_GET_ATTR_INDICES_FOR_ENTITY_ATTR, RES_GET_ATTRIBUTE_DEF_INFO, RES_GET_CONNECTION_MD, RES_GET_CURRENT_ROW, RES_GET_DML_OPERATION_TIMEOUT, RES_GET_DOMAIN_VALUE, RES_GET_ESTIMATED_ROW_COUNT, RES_GET_ITER_MODE, RES_GET_LOCALE, RES_GET_LOCKING_MODE, RES_GET_MAX_FETCH_SIZE, RES_GET_MOST_RECENT_STACK_ID, RES_GET_ORDER_BY_CLAUSE, RES_GET_PROPERTIES, RES_GET_QUERY, RES_GET_QUERY_MODE, RES_GET_QUERY_OPTIMIZER_HINT, RES_GET_QUERY_TIMEOUT, RES_GET_RANGE_START, RES_GET_ROW_BY_KEY, RES_GET_ROW_FROM_HANDLE, RES_GET_ROW_MATCH, RES_GET_ROW_VALIDATION, RES_GET_SORT_BY, RES_GET_STYLES, RES_GET_VERSION, RES_GET_VIEW_CRITERIA, RES_GET_VO_ATTR_PROPERTIES, RES_GET_VO_PROPERTIES, RES_GET_WHERE_CLAUSE, RES_GET_WHERE_CLAUSE_PARAMS, RES_HAS_MORE_ROWS, RES_INVOKE_DOMAIN_METHOD, RES_IS_ATTR_UPDATEABLE, RES_IS_BUNDLED_EXC_MODE, RES_IS_CLEAR_CACHE_ON_COMMIT, RES_IS_CLEAR_CACHE_ON_ROLLBACK, RES_IS_CONNECTED, RES_IS_EXECUTED, RES_IS_FETCH_COMPLETE, RES_IS_RANGE_AT, RES_IS_TRANS_DIRTY, RES_IS_VALID_ID_FOR_UNDO, RES_ITERATOR_CLOSED, RES_ITERATOR_RESET, RES_JAAS_USER_ROLES, RES_LAST, RES_LOB_DOMAIN, RES_MARSHALLED_DOMAIN_VALUE, RES_MAX_FETCH_SIZE_EXCEEDED, RES_METHOD_CALL_RETURN, RES_NAVIGATED, RES_NEXT, RES_NEXT_RANGE_SET, RES_NULL, RES_PACKAGE_NAMES, RES_PASSIVATE_STATE, RES_PASSIVATE_STATE_2, RES_PASSIVATE_STATE_FOR_UNDO, RES_PASSIVATE_STATE_WITH_ID, RES_PASSIVATE_STATE_WITH_ID_2, RES_PREVIOUS, RES_PREVIOUS_RANGE_SET, RES_RANGE_REFRESHED, RES_RANGE_SCROLLED, RES_READ_LOB, RES_REF_FOR_ACTIVATE, RES_REF_OBJ_ARRAY, RES_REF_OBJECT, RES_REF_OBJECT_BEGIN, RES_REF_OBJECT_END, RES_REF_REMOTE_SERVER_AM, RES_REFRESH_CACHE, RES_REFRESH_DM_MARKER, RES_REFRESH_PROPERTY, RES_REFRESH_VARIABLES, RES_REFRESH_VO_PROPERTY, RES_REMOVE_VARIABLE, RES_RESERVE_PASSIVATION_ID, RES_RESERVE_SNAPSHOT_ID, RES_RESET, RES_ROW, RES_ROW_COUNT, RES_ROW_COUNT_IN_RANGE, RES_ROW_IS_DEAD, RES_ROW_SET, RES_ROW_SET_ITERATOR, RES_ROWSET_CLOSED, RES_SCROLL, RES_SERIALIZED_DOMAIN_VALUE, RES_SET_ACCESS_MODE, RES_SET_CURRENT_ROW, RES_SET_CURRENT_ROW_AT_RANGE_INDEX, RES_SNAP_ID, RES_SYNC_ROT_REQUIRED, RES_SYNC_WORKING_SET, RES_TRANS_COMMITTED, RES_TRANS_POST_GET_ATTR, RES_TRANS_ROLLED_BACK, RES_TRANSFORM_EXCEPTION_PARAMS, RES_VIEW_CACHE_CLEARED, RES_VIEW_DEF, RES_VIEW_DEF_NAMES, RES_VIEW_LINK, RES_VIEW_LINK_DEF_NAMES, RES_VIEW_LINK_NAMES, RES_VIEW_OBJECT, RES_VIEW_OBJECT_CLOSED, RES_VIEW_OBJECT_NAMES, RES_WORKING_SET_AM, RES_WORKING_SET_RSI, RES_WRITE_ROW_XML, RES_WRITE_ROW_XML_WITH_MAP, RES_WRITE_ROWSET_XML, RES_WRITE_ROWSET_XML_WITH_MAP`

Constructor Summary
`SvcMsgResponseEvent(int oper, java.lang.String resName, int sourceId, int seqId)`

Method Summary
`int` | `getSeqId()`
`int` | `getSourceId()`

Methods inherited from class oracle.jbo.common.SvcMsgResponseValues
`getBooleanValues, getIntValues, getLongValues, getObjectValues, setBooleanValues, setIntValues, setLongValues, setObjectValues`

Methods inherited from class oracle.jbo.common.SvcMsgResponse
`getName, getOperation, isReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.svcmsg.ResponseValues
`getBooleanValues, getIntValues, getLongValues, getObjectValues, setBooleanValues, setIntValues, setLongValues, setObjectValues`

Methods inherited from interface oracle.svcmsg.Response
`getName, getOperation`

Constructor Detail

### SvcMsgResponseEvent

    public SvcMsgResponseEvent(int oper,
                               java.lang.String resName,
                               int sourceId,
                               int seqId)

Method Detail

### getSourceId

    public int getSourceId()

### getSeqId

    public int getSeqId()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.